Bug 269196 - KDevelop crashes at CMake configure
Summary: KDevelop crashes at CMake configure
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Applications
Component: general (show other bugs)
Version: 4.2.60
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 4.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords: investigated, reproducible
Depends on:
Blocks:
 
Reported: 2011-03-23 01:19 UTC by Sebastian Dörner
Modified: 2011-03-26 03:54 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Dörner 2011-03-23 01:19:15 UTC
Application: kdevelop (4.2.60)
KDE Platform Version: 4.6.41 (4.7 >= 20110106) (Compiled from sources)
Qt Version: 4.7.2
Operating System: Linux 2.6.36-gentoo-r5 i686

-- Information about the crash:
- What I was doing when the application crashed:

Open project configuration for a certain cmake project. Change a setting (CMAKE_BUILD_TYPE).
Click "apply" -> crash

Project configuration:
The project is kde-baseapps/dolphin. The project was initially imported using CMake import on kde-baseapps/dolphin/CMakeLists.txt. I then selected kde-baseapps as the project root directory. However, I cannot reproduce this for a similar setup (kde-sdk/okteta with kde-sdk as root).
I will help track down the issue further, instead of just adding a new null pointer check. Maybe this depends on my cmake cache, but I don't want to delete it for the bug to stay reproducable. Can somebody else reproduce this issue?

KDevelop version: git -> e528fb947c7fa2bf107304f18a01f067b9f1322c

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb1ef9710 (LWP 27758))]

Thread 13 (Thread 0xaf2d2b70 (LWP 27763)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5eea372 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5f859fb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/qt4/libQtCore.so.4
#3  0xb4bd8182 in KDevelop::DUChainPrivate::CleanupThread::run (this=0x9c95c58) at /home/kde-devel/kdesrc/kdevplatform/language/duchain/duchain.cpp:286
#4  0xb5f84e23 in ?? () from /usr/lib/qt4/libQtCore.so.4
#5  0xb5ee59ae in start_thread () from /lib/libpthread.so.0
#6  0xb522fc4e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xad460b70 (LWP 27774)):
#0  0xb5f846b1 in ?? () from /usr/lib/qt4/libQtCore.so.4
#1  0xb60bac47 in ?? () from /usr/lib/qt4/libQtCore.so.4
#2  0xb60baca7 in ?? () from /usr/lib/qt4/libQtCore.so.4
#3  0xb44662e8 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#4  0x09e21c44 in ?? ()
#5  0x5f5e5bf0 in ?? ()
#6  0x748dc35d in ?? ()
#7  0x41c70026 in ?? ()
#8  0x00000078 in ?? ()
#9  0x8dbceb00 in ?? ()
#10 0x000026b4 in ?? ()
#11 0x448b0000 in ?? ()
#12 0x04895024 in ?? ()
#13 0x7d84e824 in ?? ()
#14 0xc085fffd in ?? ()
#15 0x548b3274 in ?? ()
#16 0x028b5024 in ?? ()
#17 0x4c8bc5eb in ?? ()
#18 0x54895024 in ?? ()
#19 0x0c892c24 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 11 (Thread 0xac346b70 (LWP 27775)):
#0  0xb50df256 in clock_gettime () from /lib/librt.so.1
#1  0xb5fe1ab5 in ?? () from /usr/lib/qt4/libQtCore.so.4
#2  0xb60bc826 in ?? () from /usr/lib/qt4/libQtCore.so.4
#3  0xb60bc86e in ?? () from /usr/lib/qt4/libQtCore.so.4
#4  0xb60ba93b in ?? () from /usr/lib/qt4/libQtCore.so.4
#5  0xb60ba9dd in ?? () from /usr/lib/qt4/libQtCore.so.4
#6  0xb44665d8 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#7  0x09d8cafc in ?? ()
#8  0x5c8bd089 in ?? ()
#9  0x748b3c24 in ?? ()
#10 0x7c8b4024 in ?? ()
#11 0x6c8b4424 in ?? ()
#12 0xc4834824 in ?? ()
#13 0x5489c34c in ?? ()
#14 0x34892c24 in ?? ()
#15 0x4764e824 in ?? ()
#16 0xc085fffd in ?? ()
#17 0x2c24548b in ?? ()
#18 0x0090840f in ?? ()
#19 0x368b0000 in ?? ()
#20 0x748dc1eb in ?? ()
#21 0x54890026 in ?? ()
#22 0x34892c24 in ?? ()
#23 0x4744e824 in ?? ()
#24 0xc085fffd in ?? ()
#25 0x2c24548b in ?? ()
#26 0x0087840f in ?? ()
#27 0x068b0000 in ?? ()
#28 0xffff66e9 in ?? ()
#29 0x568b90ff in ?? ()
#30 0x206e8924 in ?? ()
#31 0x3974d285 in ?? ()
#32 0xd90e838d in ?? ()
#33 0x44c7fffb in ?? ()
#34 0x08c10824 in ?? ()
#35 0x44890000 in ?? ()
#36 0x838d1024 in ?? ()
#37 0xfffbdbd7 in ?? ()
#38 0x0c244489 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 10 (Thread 0xadc61b70 (LWP 27780)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5eea045 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4fd3747 in ?? () from /usr/lib/qt4/libQtScript.so.4
#3  0xb4fd378f in ?? () from /usr/lib/qt4/libQtScript.so.4
#4  0xb5ee59ae in start_thread () from /lib/libpthread.so.0
#5  0xb522fc4e in clone () from /lib/libc.so.6

Thread 9 (Thread 0xacb47b70 (LWP 27781)):
#0  0xb60bac30 in ?? () from /usr/lib/qt4/libQtCore.so.4
#1  0xb60baca7 in ?? () from /usr/lib/qt4/libQtCore.so.4
#2  0xb44662e8 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0x0a907c4c in ?? ()
#4  0x5f5e5bf0 in ?? ()
#5  0x748dc35d in ?? ()
#6  0x41c70026 in ?? ()
#7  0x00000078 in ?? ()
#8  0x8dbceb00 in ?? ()
#9  0x000026b4 in ?? ()
#10 0x448b0000 in ?? ()
#11 0x04895024 in ?? ()
#12 0x7d84e824 in ?? ()
#13 0xc085fffd in ?? ()
#14 0x548b3274 in ?? ()
#15 0x028b5024 in ?? ()
#16 0x4c8bc5eb in ?? ()
#17 0x54895024 in ?? ()
#18 0x0c892c24 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 8 (Thread 0xa888fb70 (LWP 27806)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5eea045 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb3e2c99c in ?? () from /usr/lib/qt4/libQtWebKit.so.4
#3  0xb3e2ca7f in ?? () from /usr/lib/qt4/libQtWebKit.so.4
#4  0xb5ee59ae in start_thread () from /lib/libpthread.so.0
#5  0xb522fc4e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xa5affb70 (LWP 28320)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5eea045 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5f85a68 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/qt4/libQtCore.so.4
#3  0xb708cdc0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9c03850, th=0xb50c2d8) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0xb709057c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9bdc818, th=0xb50c2d8) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0xb708c2eb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9c03850, th=0xb50c2d8) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0xb7090672 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9bdc818, th=0xb50c2d8) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9c03850, th=0xb50c2d8, previous=0xd1a4f10) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb708e6fe in ThreadWeaver::ThreadRunHelper::run (this=0xa5aff304, parent=0x9c03850, th=0xb50c2d8) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/Thread.cpp:87
#9  0xb708ee1b in ThreadWeaver::Thread::run (this=0xb50c2d8) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/Thread.cpp:142
#10 0xb5f84e23 in ?? () from /usr/lib/qt4/libQtCore.so.4
#11 0xb5ee59ae in start_thread () from /lib/libpthread.so.0
#12 0xb522fc4e in clone () from /lib/libc.so.6

Thread 6 (Thread 0xa52feb70 (LWP 28321)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5eea045 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5f85a68 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/qt4/libQtCore.so.4
#3  0xb708cdc0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9c03850, th=0xb4f5388) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0xb709057c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9bdc818, th=0xb4f5388) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0xb708c2eb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9c03850, th=0xb4f5388) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0xb7090672 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9bdc818, th=0xb4f5388) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9c03850, th=0xb4f5388, previous=0x0) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb7090691 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9bdc818, th=0xb4f5388) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9c03850, th=0xb4f5388, previous=0x0) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb7090691 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9bdc818, th=0xb4f5388) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9c03850, th=0xb4f5388, previous=0xe0850a8) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb708e6fe in ThreadWeaver::ThreadRunHelper::run (this=0xa52fe304, parent=0x9c03850, th=0xb4f5388) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/Thread.cpp:87
#13 0xb708ee1b in ThreadWeaver::Thread::run (this=0xb4f5388) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/Thread.cpp:142
#14 0xb5f84e23 in ?? () from /usr/lib/qt4/libQtCore.so.4
#15 0xb5ee59ae in start_thread () from /lib/libpthread.so.0
#16 0xb522fc4e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa76efb70 (LWP 31763)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5eea045 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5f85a68 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/qt4/libQtCore.so.4
#3  0xb708cdc0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xbf3e200, th=0xc1d6380) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0xb709057c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xbfdb6b0, th=0xc1d6380) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0xb708c2eb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xbf3e200, th=0xc1d6380) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0xb7090672 in ThreadWeaver::WorkingHardState::applyForWork (this=0xbfdb6b0, th=0xc1d6380) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xbf3e200, th=0xc1d6380, previous=0xdc05370) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb708e6fe in ThreadWeaver::ThreadRunHelper::run (this=0xa76ef304, parent=0xbf3e200, th=0xc1d6380) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/Thread.cpp:87
#9  0xb708ee1b in ThreadWeaver::Thread::run (this=0xc1d6380) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/Thread.cpp:142
#10 0xb5f84e23 in ?? () from /usr/lib/qt4/libQtCore.so.4
#11 0xb5ee59ae in start_thread () from /lib/libpthread.so.0
#12 0xb522fc4e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa9090b70 (LWP 1032)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5eea045 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5f85a68 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/qt4/libQtCore.so.4
#3  0xb708cdc0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xbf3e200, th=0xb552d78) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0xb709057c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xbfdb6b0, th=0xb552d78) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0xb708c2eb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xbf3e200, th=0xb552d78) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0xb7090672 in ThreadWeaver::WorkingHardState::applyForWork (this=0xbfdb6b0, th=0xb552d78) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xbf3e200, th=0xb552d78, previous=0x0) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb7090691 in ThreadWeaver::WorkingHardState::applyForWork (this=0xbfdb6b0, th=0xb552d78) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xbf3e200, th=0xb552d78, previous=0x0) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb7090691 in ThreadWeaver::WorkingHardState::applyForWork (this=0xbfdb6b0, th=0xb552d78) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xbf3e200, th=0xb552d78, previous=0x0) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb7090691 in ThreadWeaver::WorkingHardState::applyForWork (this=0xbfdb6b0, th=0xb552d78) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xbf3e200, th=0xb552d78, previous=0xe2f1490) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb708e6fe in ThreadWeaver::ThreadRunHelper::run (this=0xa9090304, parent=0xbf3e200, th=0xb552d78) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/Thread.cpp:87
#15 0xb708ee1b in ThreadWeaver::Thread::run (this=0xb552d78) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/Thread.cpp:142
#16 0xb5f84e23 in ?? () from /usr/lib/qt4/libQtCore.so.4
#17 0xb5ee59ae in start_thread () from /lib/libpthread.so.0
#18 0xb522fc4e in clone () from /lib/libc.so.6

Thread 3 (Thread 0x938ffb70 (LWP 1041)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5eea045 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5f85a68 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/qt4/libQtCore.so.4
#3  0xb708cdc0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xbf3e200, th=0xc0d6400) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0xb709057c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xbfdb6b0, th=0xc0d6400) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0xb708c2eb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xbf3e200, th=0xc0d6400) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0xb7090672 in ThreadWeaver::WorkingHardState::applyForWork (this=0xbfdb6b0, th=0xc0d6400) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xbf3e200, th=0xc0d6400, previous=0x0) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb7090691 in ThreadWeaver::WorkingHardState::applyForWork (this=0xbfdb6b0, th=0xc0d6400) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xbf3e200, th=0xc0d6400, previous=0x0) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb7090691 in ThreadWeaver::WorkingHardState::applyForWork (this=0xbfdb6b0, th=0xc0d6400) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xbf3e200, th=0xc0d6400, previous=0xd744c70) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb708e6fe in ThreadWeaver::ThreadRunHelper::run (this=0x938ff304, parent=0xbf3e200, th=0xc0d6400) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/Thread.cpp:87
#13 0xb708ee1b in ThreadWeaver::Thread::run (this=0xc0d6400) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/Thread.cpp:142
#14 0xb5f84e23 in ?? () from /usr/lib/qt4/libQtCore.so.4
#15 0xb5ee59ae in start_thread () from /lib/libpthread.so.0
#16 0xb522fc4e in clone () from /lib/libc.so.6

Thread 2 (Thread 0x930feb70 (LWP 2791)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5eea045 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5f85a68 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/qt4/libQtCore.so.4
#3  0xb708cdc0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xbf3e200, th=0xabc9c40) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0xb709057c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xbfdb6b0, th=0xabc9c40) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0xb708c2eb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xbf3e200, th=0xabc9c40) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0xb7090672 in ThreadWeaver::WorkingHardState::applyForWork (this=0xbfdb6b0, th=0xabc9c40) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xbf3e200, th=0xabc9c40, previous=0x0) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb7090691 in ThreadWeaver::WorkingHardState::applyForWork (this=0xbfdb6b0, th=0xabc9c40) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0xb708d2c3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xbf3e200, th=0xabc9c40, previous=0xcc201d0) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb708e6fe in ThreadWeaver::ThreadRunHelper::run (this=0x930fe304, parent=0xbf3e200, th=0xabc9c40) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/Thread.cpp:87
#11 0xb708ee1b in ThreadWeaver::Thread::run (this=0xabc9c40) at /home/kde-devel/kdesrc/kdelibs/threadweaver/Weaver/Thread.cpp:142
#12 0xb5f84e23 in ?? () from /usr/lib/qt4/libQtCore.so.4
#13 0xb5ee59ae in start_thread () from /lib/libpthread.so.0
#14 0xb522fc4e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb1ef9710 (LWP 27758)):
[KCrash Handler]
#7  CMakePreferences::configure (this=0xd087818) at /home/kde-devel/kdesrc/kdevelop/projectmanagers/cmake/settings/cmakepreferences.cpp:295
#8  0xaac310e5 in CMakePreferences::save (this=0xd087818) at /home/kde-devel/kdesrc/kdevelop/projectmanagers/cmake/settings/cmakepreferences.cpp:164
#9  0xb714a6aa in KCModuleProxy::save (this=0xd1db0e8) at /home/kde-devel/kdesrc/kdelibs/kutils/kcmoduleproxy.cpp:279
#10 0xb7145388 in KCMultiDialogPrivate::apply (this=0xe7dc778) at /home/kde-devel/kdesrc/kdelibs/kutils/kcmultidialog.cpp:300
#11 0xb7148403 in KCMultiDialog::qt_metacall (this=0xbfe527a0, _c=QMetaObject::InvokeMetaMethod, _id=79, _a=0xbfe5142c) at /home/kde-devel/kde/build/kdelibs/kutils/kcmultidialog.moc:95
#12 0xb716222a in KSettings::Dialog::qt_metacall (this=0xbfe527a0, _c=QMetaObject::InvokeMetaMethod, _id=79, _a=0xbfe5142c) at /home/kde-devel/kde/build/kdelibs/kutils/dialog.moc:75
#13 0xb60911fd in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/qt4/libQtCore.so.4
#14 0xb60a45f8 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/qt4/libQtCore.so.4
#15 0xb6389927 in KDialog::applyClicked (this=0xbfe527a0) at /home/kde-devel/kde/build/kdelibs/kdeui/kdialog.moc:246
#16 0xb638bd4f in KDialog::slotButtonClicked (this=0xbfe527a0, button=8) at /home/kde-devel/kdesrc/kdelibs/kdeui/dialogs/kdialog.cpp:887
#17 0xb638e029 in KDialog::qt_metacall (this=0xbfe527a0, _c=QMetaObject::InvokeMetaMethod, _id=33, _a=0xbfe51698) at /home/kde-devel/kde/build/kdelibs/kdeui/kdialog.moc:190
#18 0xb64915ba in KPageDialog::qt_metacall (this=0xbfe527a0, _c=QMetaObject::InvokeMetaMethod, _id=69, _a=0xbfe51698) at /home/kde-devel/kde/build/kdelibs/kdeui/kpagedialog.moc:70
#19 0xb714833a in KCMultiDialog::qt_metacall (this=0xbfe527a0, _c=QMetaObject::InvokeMetaMethod, _id=69, _a=0xbfe51698) at /home/kde-devel/kde/build/kdelibs/kutils/kcmultidialog.moc:86
#20 0xb716222a in KSettings::Dialog::qt_metacall (this=0xbfe527a0, _c=QMetaObject::InvokeMetaMethod, _id=69, _a=0xbfe51698) at /home/kde-devel/kde/build/kdelibs/kutils/dialog.moc:75
#21 0xb60911fd in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/qt4/libQtCore.so.4
#22 0xb60a45f8 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/qt4/libQtCore.so.4
#23 0xb60a75a5 in QSignalMapper::mapped(int) () from /usr/lib/qt4/libQtCore.so.4
#24 0xb60a87ec in QSignalMapper::map(QObject*) () from /usr/lib/qt4/libQtCore.so.4
#25 0xb60a89ce in QSignalMapper::map() () from /usr/lib/qt4/libQtCore.so.4
#26 0xb60a8aa0 in QSignalMapper::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/qt4/libQtCore.so.4
#27 0xb60911fd in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/qt4/libQtCore.so.4
#28 0xb60a45f8 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/qt4/libQtCore.so.4
#29 0xb5cc2c3d in QAbstractButton::clicked(bool) () from /usr/lib/qt4/libQtGui.so.4
#30 0xb59837dd in ?? () from /usr/lib/qt4/libQtGui.so.4
#31 0xb5984fab in ?? () from /usr/lib/qt4/libQtGui.so.4
#32 0xb5985266 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/qt4/libQtGui.so.4
#33 0xb55d6211 in QWidget::event(QEvent*) () from /usr/lib/qt4/libQtGui.so.4
#34 0xb5983670 in QAbstractButton::event(QEvent*) () from /usr/lib/qt4/libQtGui.so.4
#35 0xb5a327a8 in QPushButton::event(QEvent*) () from /usr/lib/qt4/libQtGui.so.4
#36 0xb557613c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/qt4/libQtGui.so.4
#37 0xb557c5a2 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/qt4/libQtGui.so.4
#38 0xb6458e0a in KApplication::notify (this=0xbfe54f38, receiver=0xd0ac088, event=0xbfe52034) at /home/kde-devel/kdesrc/kdelibs/kdeui/kernel/kapplication.cpp:311
#39 0xb608b3cd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/qt4/libQtCore.so.4
#40 0xb557ab7c in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/qt4/libQtGui.so.4
#41 0xb560d1fe in ?? () from /usr/lib/qt4/libQtGui.so.4
#42 0xb560c66d in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/qt4/libQtGui.so.4
#43 0xb5639d00 in ?? () from /usr/lib/qt4/libQtGui.so.4
#44 0xb4462f9d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0

Reported using DrKonqi
Comment 1 Sebastian Dörner 2011-03-23 02:08:10 UTC
I could reproduce this with kdesdk/okteta now as well. I guess you should be able to reproduce it with these two cases or any other case where the cmake root directory is above the project directory.

CMakePreferences::configure():
m_srcFolder is KUrl("file:///home/kde-devel/kdesrc/kde-baseapps/"), i.e. the cmake root.

kdevplatform/shell/projectcontroller.cpp:
ProjectController::findProjectForUrl traverses the project with proj->folder()==KUrl("file:///home/kde-devel/kdesrc/kde-baseapps/dolphin"). I guess that's why proj->inProject( url ) returns false. However, I didn't find the cmake implementor for IProject atm, so I couldn't verify what inProject does yet. Anyway, I guess the information provided  should be enough to fix. Let me know if you need anything more.
Comment 2 Aleix Pol 2011-03-26 03:54:07 UTC
Git commit 762d018e6e94d5d0dbbfb4d1c9a071bfde00c77d by Aleix Pol.
Committed on 26/03/2011 at 03:51.
Pushed by apol into branch '4.2'.

Use the project directory to look for the correct project to configure.

BUG: 269196

M  +1    -1    projectmanagers/cmake/settings/cmakepreferences.cpp     

http://commits.kde.org/kdevelop/762d018e6e94d5d0dbbfb4d1c9a071bfde00c77d